Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 383831 - net-print/cups fails to print due to missing pstoraster filter
Summary: net-print/cups fails to print due to missing pstoraster filter
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Printing (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 14:19 UTC by Jaak Ristioja
Modified: 2012-01-15 20:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaak Ristioja 2011-09-20 14:19:25 UTC
Under some circumstances, cups fails to print, because ghostscript-gpl-9.04 no longer installs *toraster filters, e.g. pstoraster, but provides a single gstoraster filter.

This problem has already been discussed for net-print/splix in bug 367071, but cups might require pstoraster in other cases also. Just searching for "pstoraster" in the source code of cups 1.4.8 yields important results, e.g:

conf/mime.convs.in:application/vnd.cups-postscript      application/vnd.cups-raster     100     pstoraster
filter/imagetoraster.c:      execlp("pstoraster", argv[0], argv[1], argv[2], argv[3], argv[4], argv[5],


It is suggested in
http://forums.fedoraforum.org/archive/index.php/t-265236.html that as a
workaround a symlink be created in the filters directory:

  ln -s gstoraster pstoraster

But this might not be a good solution.

Here's the changelog entry for ghostscript-gpl 9 from
http://www.ghostscript.com/doc/current/History9.htm:

  2011-02-28T22:31:28.419926Z Till Kamppeter

  Added color management support to the CUPS ...toraster filters

  Replaced the ...toraster filters by one filter executable, gstoraster,
written in C. This filter converts both PostScript and PDF input into the CUPS
Raster format using Ghostscript with the "cups" output device, controlled by
settings in the print queue's PPD file, by command line options, and by
settings embedded in a PostScript input stream. This is now done with color
management based on printer-specific ICC profiles referenced in the PPD file or
supplied by the color management daemon colord. The CUPS PPD extensions
concerning color management
(http://www.cups.org/documentation.php/doc-1.4/spec-ppd.html) are made use of
if used and the colord daemon is used if it is present. colord is accessed via
D-Bus, but the new filter can also be compiled without D-Bus and in this case
only the CUPS PPD extensions and ICC profiles assigned to the print queue are
used for color management.

  Thanks to Richard Hughes for the patch.
Comment 1 P Purkayastha 2011-09-22 09:08:59 UTC
Thanks a lot for the workaround. This bug just bit me when I needed the printing to work "right now." Needless to say, it was very upsetting. Apparently ghostscript-gpl was updated to stable 9.04-r3 just a few days ago.
Comment 2 Jan Seiffert 2011-10-05 17:34:17 UTC
was bitten by the same problem.

creating a symlink solved it.

Greetings
Jan
Comment 3 Marc Schiffbauer gentoo-dev 2011-10-19 13:17:56 UTC
I can also confirm this issue. It affects stable systems.

Is there any ebuild update in the queue?

Quick fix:

~ # cd /usr/libexec/cups/filter/
filter # ln -s gstoraster pstoraster
filter #
Comment 4 Timo Gurr (RETIRED) gentoo-dev 2011-10-19 13:42:34 UTC
(In reply to comment #3)
> Is there any ebuild update in the queue?

I'll add a new ghostscript revision installing the mentioned symlink.

But please also report a new bug for every affected printer driver in the tree still requiring the pstoraster filter so they can be fixed like splix (bug #367071) if possible.

In the long run (CUPS >=1.6) we probably need a separate filter package for some printer drivers to depend on since additional filters are removed by then, see CUPS bug STR #3930 (http://cups.org/str.php?L3930).
Comment 5 Andreas K. Hüttel gentoo-dev 2012-01-15 20:02:15 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Is there any ebuild update in the queue?
> 
> I'll add a new ghostscript revision installing the mentioned symlink.
> 
> But please also report a new bug for every affected printer driver in the tree
> still requiring the pstoraster filter so they can be fixed like splix (bug
> #367071) if possible.
> 
> In the long run (CUPS >=1.6) we probably need a separate filter package for
> some printer drivers to depend on since additional filters are removed by then,
> see CUPS bug STR #3930 (http://cups.org/str.php?L3930).

Is fixed in current stable ghostscript-gpl-9.04-r4